# Class: Array

Inherits:
  Object
  - Object
  - Array
  show all

Defined in:
  lib/yard/core_ext/array.rb

## Direct Known Subclasses

YARD::CodeObjects::CodeObjectList, YARD::Parser::Ruby::AstNode, YARD::Parser::Ruby::Legacy::StatementList, YARD::Parser::Ruby::Legacy::TokenList, YARD::Templates::Section

## Instance Method Summary collapse

- #place(*values) ⇒ Insertion

  Places values before or after another object (by value) in an array.

## Instance Method Details

### #place(*values) ⇒ `Insertion`

Places values before or after another object (by value) in an array. This is used in tandem with the before and after methods of the Insertion class.

#### Examples:

#####

Places an item before another

    [1, 2, 3].place(4).before(3) # => [1, 2, 4, 3]

#####

Places an item after another

    [:a, :b, :c].place(:x).after(:a) # => [:a, :x, :b, :c]

Parameters:

- values (`Array`) —

  value to insert

Returns:

- (`Insertion`) —

  an insertion object to

See Also:

- Insertion#before
- Insertion#after

    15

    # File 'lib/yard/core_ext/array.rb', line 15

    def place(*values) Insertion.new(self, values) end